﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Zeiterfassung
{
    class Zeiterfassung42
    {
        // TODO: später!!!
    }

    class Person
    {
        string vorname;
        string nachname;
        string anrede;
        DateTime geburtsdatum;
        public Person(string vorname, string nachname, string anrede, DateTime geburtsdatum)
        {
            this.vorname = vorname;
            this.nachname = nachname;
            this.anrede = anrede;
            this.geburtsdatum = geburtsdatum;
        }
    }

    class Mitarbeiter : Person
    {
        static int nächsteZuVergebendePersonalnummer = 0;
        int personalnummer;
        public Mitarbeiter(string vorname, string nachname, string anrede, DateTime geburtsdatum)
        : base(vorname, nachname, anrede, geburtsdatum)
        {
            personalnummer = nächsteZuVergebendePersonalnummer;
            nächsteZuVergebendePersonalnummer++;
        }
    }

    class Gast : Person
    {
        Mitarbeiter gastgeber;
        public Gast(string vorname, string nachname, string anrede, DateTime geburtsdatum, Mitarbeiter gastgeber)
        : base(vorname, nachname, anrede, geburtsdatum)
        {
            if(gastgeber == null)
            {
                throw new ApplicationException("Gastgeber ist null.");
            }
            this.gastgeber = gastgeber;
        }

    }
}
